gr::tag_t
gnuradio/tags.h
uint64_t uint64_t gr::tag_t::offset offset gr::tag_t::offset

the item `tag` occurred at (as a uint64_t)

gr::block::add_item_tag
operator<
operator=
operator==
gr::block::remove_item_tag
tag_t
tag_t
pmt::pmt_t pmt::pmt_t gr::tag_t::key key gr::tag_t::key

the key of `tag` (as a PMT symbol)

gr::block::add_item_tag
operator=
operator==
gr::block::remove_item_tag
tag_t
tag_t
pmt::pmt_t pmt::pmt_t gr::tag_t::value value gr::tag_t::value

the value of `tag` (as a PMT)

gr::block::add_item_tag
operator=
operator==
gr::block::remove_item_tag
tag_t
tag_t
pmt::pmt_t pmt::pmt_t gr::tag_t::srcid srcid gr::tag_t::srcid

the source ID of `tag` (as a PMT)

gr::block::add_item_tag
operator=
operator==
gr::block::remove_item_tag
tag_t
tag_t
std::vector< long > std::vector<long> gr::tag_t::marked_deleted marked_deleted gr::tag_t::marked_deleted

Used by gr_buffer to mark a tagged as deleted by a specific block. You can usually ignore this.

bool bool operator< (const tag_t &x, const tag_t &y) operator< gr::tag_t::operator< const tag_t & x const tag_t & y

Comparison function to test which tag, `x` or `y`, came first in time.

offset
tag_t
bool static bool gr::tag_t::offset_compare (const tag_t &x, const tag_t &y) offset_compare gr::tag_t::offset_compare const tag_t & x const tag_t & y

Comparison function to test which tag, `x` or `y`, came first in time.

tag_t
bool bool gr::tag_t::operator== (const tag_t &t) const operator== gr::tag_t::operator== const tag_t & t

equality comparison. Compares all details, except marked_delete

key
offset
srcid
tag_t
value
gr::tag_t::tag_t
()
tag_t
gr::tag_t::tag_t
key
offset
PMT_F
PMT_NIL
srcid
value
offset_compare
operator<
operator=
operator==
tag_t
gr::tag_t::tag_t
(const tag_t &rhs)
tag_t
gr::tag_t::tag_t
const tag_t & rhs

Copy constructor; constructs identical tag, but doesn't copy marked_delete.

key
offset
srcid
tag_t
value
tag_t & tag_t & gr::tag_t::operator= (const tag_t &rhs) operator= gr::tag_t::operator= const tag_t & rhs key offset srcid tag_t value
gr::tag_t::~tag_t
()
~tag_t
gr::tag_t::~tag_t
gr::tag_t
key
srcid
value
marked_deleted
std::shared_ptr< pmt_base >
std::vector< long >
- gr::tag_t
  key
- gr::tag_t
  marked_deleted
- gr::tag_t
  offset
- gr::tag_t
  offset_compare
- gr::tag_t
  operator<
- gr::tag_t
  operator=
- gr::tag_t
  operator==
- gr::tag_t
  srcid
- gr::tag_t
  tag_t
- gr::tag_t
  tag_t
- gr::tag_t
  value
- gr::tag_t
  ~tag_t